<template>
  <el-checkbox-group v-model="propIds">
    <el-checkbox label="temperature">温度</el-checkbox>
    <el-checkbox label="humidity">湿度</el-checkbox>
    <el-checkbox label="power">功率</el-checkbox>
  </el-checkbox-group>
</template>

<script>
export default {
  name: 'PropPanel',
  props: {
    id: {
      type: [Number, String],
      default: 0
    },
    yFields: {
      type: Array,
      default: () => {
        return []
      }
    },
    list: {
      type: Array,
      default: () => {
        return []
      }
    }
  },
  data() {
    return {
      propIds: []
    }
  },
  watch: {
    propIds: function(val) {
      this.$emit('update:yFields', val)
    }
  }
}
</script>

<style scoped>

</style>
